Bug 197635 - X server 1.1.0-25 eats CPU like candy
X server 1.1.0-25 eats CPU like candy
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 23:36 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 03:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2006-07-04 23:36:45 EDT
Description of problem:
Installed rawhide xorg-x11-server-Xorg-1.1.0-25.fc6, and the X server and many X
programs started chewing CPU like crazy.   I've attached a 'top' output - the
only thing needed to pin the CPU was to just scroll this enter_bug.cgi frame up
and down inside Firefox. The same set of clients on the -24 version of the
server would chew well under 10% combined sys+usr.  In addition, latency is
totally trashed - typing into a program has visible lag time before echoing
characters are redrawn, expose events can take up to a second to process.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.0-25.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

top - 23:42:54 up  1:18,  5 users,  load average: 1.31, 2.06, 2.52
Tasks:  91 total,   2 running,  89 sleeping,   0 stopped,   0 zombie
Cpu(s)%: 78.3 us, 21.1 sy,  0.0 ni,  0.0 id,  0.0 wa,  0.7 hi,  0.0 si,  0.0 st
Mem:    774292k total,   703204k used,    71088k free,    48900k buffers
Swap:  1572856k total,        0k used,  1572856k free,   428904k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
 7477 root      19   0 73948  21m 6160 R 54.0  2.8  10:12.02 Xorg               
 8036 valdis    15   0  201m 103m  20m S 38.5 13.7   4:35.62 firefox-bin        
 7510 valdis    16   0 10492 4796 2912 S  3.3  0.6   1:13.45 e16                
 7579 valdis    15   0 28984 9952 7912 S  2.3  1.3   5:34.30 gkrellm            
10752 root      16   0  2128 1048  804 R  1.3  0.1   0:00.20 top                
 8060 valdis    15   0 10260 3580 2376 S  0.7  0.5   0:01.69 Eterm
Comment 1 Valdis Kletnieks 2006-07-05 03:42:00 EDT
Wierdness - problem persisted even after a reboot.  Installed server-Xorg-24 and
backed off the glibc to the -11 version (the other major thing that got
installed at same time), still had issues.  Rebooted *again*, and problem went
away.  Re-installed glibc -12 and server-Xorg -25, and it's still behaving as it
should be.  I'm guessing some subtle oddness the first time - it *may* be
relevant that the first install was via 'yum', and I used 'rpm' to re-install
the old RPMs and then install the current ones again....

Isn't often I flag my own bugs as 'worksforme'...

Note You need to log in before you can comment on or make changes to this bug.